#!/usr/bin/env python
#
# This file is part of Jungle Math
# Author(s): Victoria Valdez and Zoe Galbraith, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Jungle Math is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Jungle Math is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jungle Math.  If not, see <http://www.gnu.org/licenses/>.

import pygame
from helpers import *

class ActivityBase(pygame.sprite.Sprite):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		pygame.sprite.Sprite.__init__(self)
		self.screen = pygame.display.get_surface()
		self.area = self.screen.get_rect()
		self.background = background_image
		
		self.activity_completed = False
		self.image, self.rect = load_image(main_image_file)
		self.completed_image, self.completed_image_rect = load_image(completed_image_file)
		self.rect.topleft = topleft

	def play(self):
		#default play will simply ask the user to press any key to complete the activity
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 50)
			text = font.render("Press any key to complete this activity.", 1, (0,0,0))
			textrect = text.get_rect()
			textrect.centerx, textrect.centery = self.area.centerx,self.area.centery
			screen.blit(text, textrect)
			
			pygame.display.flip()

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
