#!/usr/bin/env python
#
# This file is part of Jungle Math
# Author(s): Victoria Valdez and Zoe Galbraith, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Jungle Math is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Jungle Math is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Jungle Math.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()
# Start screen

# Set up the window
windowsize = windowwidth, windowheight = 750, 500
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("junglething.jpg")

start_game = False

	# Draw everything to the screen
# make everything we have drawn on the screen become visible in the window
# Set up the group of activities

intro,introrect=load_image("finishedintropage copy.png")
screen.blit(intro,introrect)
pygame.display.flip()


startgame=False
while not startgame:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			startgame=True
# Main game play
while True:
	activities = pygame.sprite.OrderedUpdates()
	activities.add(Activity1((40,100),background,"giraffe copy.png","giraffe copy.png"))
	activities.add(Activity2((150,300),background,"lion 3.png","lion 3.png"))
	activities.add(Activity3((330,250),background,"snake 2.png","snake 2.png"))
	activities.add(Activity4((500,100),background,"moneky copy 3.png","moneky copy 3.png"))
	activitycount=0
	while activitycount <4:
		# Check to see if the user has clicked the mouse or pressed a key
		for event in pygame.event.get():
			if event.type == pygame.QUIT:
				sys.exit()
			elif event.type == pygame.MOUSEBUTTONDOWN:
				#find the next available activity (the first activity in the list that has not been completed)
				for activity in activities:
					nextactivity = activity
					if not activity.activity_completed:
						break

				#if the user has clicked on the next available activity, play it
				if nextactivity.rect.collidepoint(event.pos):
					nextactivity.play()
					activitycount=activitycount+1

		# Draw everything to the screen
		screen.blit(background,(0,0))
		activities.draw(screen)
		pygame.display.flip()
	
